#ifndef _INCLUDE_FILE_OPEN_
#define _INCLUDE_FILE_OPEN_

#include <stdio.h>
#include "./boolean.h"

#define FILE_LENGTH 256
#define LINE_LENGTH 256
#define PERMITTED_ARGV_LENGTH FILE_LENGTH

FILE *fileopen(char *file, char *mode);
Boolean file_exist(char *file);
int file_nline(char *file);
Boolean comment_line(char *line);
Boolean check_dir(char *dir);
Boolean check_file(char *file);
Boolean check_link(char *link);
Boolean remove_file_if_exist(char *file);

#endif
